Install Binaries (Extended, Ubuntu)
  • Identify the following installation parameters :
    • OpenFOAM version you have ( Extended 1.6 )
    • Linux distribution you use ( Ubuntu Lucid )
    • CPU type you posses ( i386 or amd64 )
  • Make sure you have already installed corresponding version of OpenFOAM binary package
  • Choose and download proper pythonFlu binary package from SourceForge
  • Run the native package manager on the target package :
sudo apt-get install python-setuptools python-dev auto-make libtool swig
sudo dpkg --install <path to pythonFlu binary package>.deb
sudo apt-get -f install

Environment

Before using pythonFlu do not forget to configure OpenFOAM itself

source /usr/lib/OpenFOAM-1.6-ext/etc/bashrc

Installation check

Import installed pythonFlu kernel library

python -c "from Foam import finiteVolume; print 'ok'"

Note : As an experiment at the hybrid version we have packed all Python based solvers withing the single pythonFlu binary installation.
Therefore you can try these live pythonFlu examples straight after installation is completed.